Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class EOEditingContextAdditions

    java.lang.Object
      wogroovy.additions.EOEditingContextAdditions

public class EOEditingContextAdditions
extends Object

Constructor Summary
`EOEditingContextAdditions()`

Method Summary
`static void` | `connectWithModelNamed(EOEditingContext self, String name, NSDictionary overrides)`
`static EOEnterpriseObject` | `createAndInsertInstance(EOEditingContext self, String entityName)`
`static EOEnterpriseObject` | `createEO(EOEditingContext self, String entityName)`
`static EOEnterpriseObject` | `createEO(EOEditingContext self, String entityName, NSDictionary objectInfo)`
`static EOEnterpriseObject` | `createEOLinkedToEO(EOEditingContext self, String entityName, String relationshipName, EOEnterpriseObject eo)`
`static EOEnterpriseObject` | `createEOLinkedToEO(EOEditingContext self, String entityName, String relationshipName, EOEnterpriseObject eo, NSDictionary objectInfo)`
`static EODatabaseContext` | `databaseContextForModelNamed(EOEditingContext self, String name)`
`static NSArray` | `deletedObjectsPKeys(EOEditingContext self)`
`static NSDictionary` | `destinationKeyForSourceObject(EOEditingContext self, EOEnterpriseObject object, String name)`
`static EOEntity` | `entityForClass(EOEditingContext self, Class theClass)`
`static EOEntity` | `entityForObject(EOEditingContext self, EOEnterpriseObject obj)`
`static EOEntity` | `entityNamed(EOEditingContext self, String name)`
`static void` | `evaluateSQLWithEntityNamed(EOEditingContext self, String entityName, String exp)`
`static NSDictionary` | `executeStoredProcedureNamed(EOEditingContext self, String name, NSDictionary args)`
`static EOEnterpriseObject` | `faultWithPrimaryKey(EOEditingContext self, String entityName, NSDictionary pkDict)`
`static EOEnterpriseObject` | `faultWithPrimaryKeyValue(EOEditingContext self, String entityName, Object value)`
`static Number` | `getNextValFromSequenceNamed(EOEditingContext self, String modelNamed, String sequenceName)`
`static EOEnterpriseObject` | `localInstanceOfObject(EOEditingContext self, EOEnterpriseObject object)`
`static NSArray` | `localInstancesOfObjects(EOEditingContext self, NSArray objects)`
`static EOModelGroup` | `modelGroup(EOEditingContext self)`
`static Number` | `objectCountWithQualifier(EOEditingContext self, String entityName, EOQualifier qualifier)`
`static EOEnterpriseObject` | `objectFromRawRow(EOEditingContext self, String name, NSDictionary row)`
`static EOEnterpriseObject` | `objectMatchingKeyAndValue(EOEditingContext self, String name, String key, Object value)`
`static EOEnterpriseObject` | `objectMatchingValues(EOEditingContext self, String name, NSDictionary values)`
`static NSArray` | `objectsByDecodingFromFormValues(EOEditingContext self, NSDictionary values)`
`static NSArray` | `objectsForEntityNamed(EOEditingContext self, String name)`
`static NSArray` | `objectsMatchingKeyAndValue(EOEditingContext self, String name, String key, Object value)`
`static NSArray` | `objectsMatchingValues(EOEditingContext self, String name, NSDictionary values)`
`static NSArray` | `objectsOfClass(EOEditingContext self, Class aClass)`
`static NSArray` | `objectsWithFetchSpecificationAndBindings(EOEditingContext self, String entityName, String fetchSpecName, NSDictionary bindings)`
`static NSArray` | `objectsWithQualifierFormat(EOEditingContext self, String name, String format, NSArray args)`
`static EOEnterpriseObject` | `objectWithFetchSpecificationAndBindings(EOEditingContext self, String entityName, String fetchSpecName, NSDictionary bindings)`
`static EOEnterpriseObject` | `objectWithPrimaryKey(EOEditingContext self, String entityName, NSDictionary pkDict)`
`static EOEnterpriseObject` | `objectWithPrimaryKeyValue(EOEditingContext self, String entityName, Object value)`
`static EOEnterpriseObject` | `objectWithQualifierFormat(EOEditingContext self, String name, String format, NSArray args)`
`static NSDictionary` | `primaryKeyDictionaryForEntity(EOEditingContext self, String entityName)`
`static EOFetchSpecification` | `primaryKeyFetchSpecificationForEntity(EOEditingContext self, String entityName, EOQualifier eoqualifier, NSArray sortOrderings, NSArray additionalKeys)`
`static NSDictionary` | `primaryKeyForObject(EOEditingContext self, EOEnterpriseObject object)`
`static NSArray` | `primaryKeysMatchingQualifier(EOEditingContext self, String entityName, EOQualifier eoqualifier, NSArray sortOrderings)`
`static EOQualifier` | `qualifierForEnterpriseObject(EOEditingContext self, EOEnterpriseObject object)`
`static NSArray` | `rawRowsForSQL(EOEditingContext self, String modelName, String sqlString, NSArray keys)`
`static NSArray` | `rawRowsForStoredProcedureNamed(EOEditingContext self, String name, NSDictionary args)`
`static NSArray` | `rawRowsMatchingKeyAndValue(EOEditingContext self, String name, String key, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EOEditingContextAdditions

    public EOEditingContextAdditions()

Method Detail

### connectWithModelNamed

    public static void connectWithModelNamed(EOEditingContext self,
                                             String name,
                                             NSDictionary overrides)

### createAndInsertInstance

    public static EOEnterpriseObject createAndInsertInstance(EOEditingContext self,
                                                             String entityName)

### primaryKeyForObject

    public static NSDictionary primaryKeyForObject(EOEditingContext self,
                                                   EOEnterpriseObject object)

### qualifierForEnterpriseObject

    public static EOQualifier qualifierForEnterpriseObject(EOEditingContext self,
                                                           EOEnterpriseObject object)

### getNextValFromSequenceNamed

    public static Number getNextValFromSequenceNamed(EOEditingContext self,
                                                     String modelNamed,
                                                     String sequenceName)

### primaryKeyFetchSpecificationForEntity

    public static EOFetchSpecification primaryKeyFetchSpecificationForEntity(EOEditingContext self,
                                                                             String entityName,
                                                                             EOQualifier eoqualifier,
                                                                             NSArray sortOrderings,
                                                                             NSArray additionalKeys)

### primaryKeysMatchingQualifier

    public static NSArray primaryKeysMatchingQualifier(EOEditingContext self,
                                                       String entityName,
                                                       EOQualifier eoqualifier,
                                                       NSArray sortOrderings)

### createEO

    public static EOEnterpriseObject createEO(EOEditingContext self,
                                              String entityName)

### createEO

    public static EOEnterpriseObject createEO(EOEditingContext self,
                                              String entityName,
                                              NSDictionary objectInfo)

### createEOLinkedToEO

    public static EOEnterpriseObject createEOLinkedToEO(EOEditingContext self,
                                                        String entityName,
                                                        String relationshipName,
                                                        EOEnterpriseObject eo)

### createEOLinkedToEO

    public static EOEnterpriseObject createEOLinkedToEO(EOEditingContext self,
                                                        String entityName,
                                                        String relationshipName,
                                                        EOEnterpriseObject eo,
                                                        NSDictionary objectInfo)

### databaseContextForModelNamed

    public static EODatabaseContext databaseContextForModelNamed(EOEditingContext self,
                                                                 String name)

### destinationKeyForSourceObject

    public static NSDictionary destinationKeyForSourceObject(EOEditingContext self,
                                                             EOEnterpriseObject object,
                                                             String name)

### entityForClass

    public static EOEntity entityForClass(EOEditingContext self,
                                          Class theClass)

### entityForObject

    public static EOEntity entityForObject(EOEditingContext self,
                                           EOEnterpriseObject obj)

### entityNamed

    public static EOEntity entityNamed(EOEditingContext self,
                                       String name)

### faultWithPrimaryKey

    public static EOEnterpriseObject faultWithPrimaryKey(EOEditingContext self,
                                                         String entityName,
                                                         NSDictionary pkDict)

### faultWithPrimaryKeyValue

    public static EOEnterpriseObject faultWithPrimaryKeyValue(EOEditingContext self,
                                                              String entityName,
                                                              Object value)

### localInstanceOfObject

    public static EOEnterpriseObject localInstanceOfObject(EOEditingContext self,
                                                           EOEnterpriseObject object)

### localInstancesOfObjects

    public static NSArray localInstancesOfObjects(EOEditingContext self,
                                                  NSArray objects)

### modelGroup

    public static EOModelGroup modelGroup(EOEditingContext self)

### objectCountWithQualifier

    public static Number objectCountWithQualifier(EOEditingContext self,
                                                  String entityName,
                                                  EOQualifier qualifier)

### deletedObjectsPKeys

    public static NSArray deletedObjectsPKeys(EOEditingContext self)

### primaryKeyDictionaryForEntity

    public static NSDictionary primaryKeyDictionaryForEntity(EOEditingContext self,
                                                             String entityName)

### rawRowsForSQL

    public static NSArray rawRowsForSQL(EOEditingContext self,
                                        String modelName,
                                        String sqlString,
                                        NSArray keys)

### rawRowsForStoredProcedureNamed

    public static NSArray rawRowsForStoredProcedureNamed(EOEditingContext self,
                                                         String name,
                                                         NSDictionary args)

### rawRowsMatchingKeyAndValue

    public static NSArray rawRowsMatchingKeyAndValue(EOEditingContext self,
                                                     String name,
                                                     String key,
                                                     Object value)

### executeStoredProcedureNamed

    public static NSDictionary executeStoredProcedureNamed(EOEditingContext self,
                                                           String name,
                                                           NSDictionary args)

### evaluateSQLWithEntityNamed

    public static void evaluateSQLWithEntityNamed(EOEditingContext self,
                                                  String entityName,
                                                  String exp)

### objectFromRawRow

    public static EOEnterpriseObject objectFromRawRow(EOEditingContext self,
                                                      String name,
                                                      NSDictionary row)

### objectMatchingKeyAndValue

    public static EOEnterpriseObject objectMatchingKeyAndValue(EOEditingContext self,
                                                               String name,
                                                               String key,
                                                               Object value)

### objectMatchingValues

    public static EOEnterpriseObject objectMatchingValues(EOEditingContext self,
                                                          String name,
                                                          NSDictionary values)

### objectsForEntityNamed

    public static NSArray objectsForEntityNamed(EOEditingContext self,
                                                String name)

### objectsMatchingKeyAndValue

    public static NSArray objectsMatchingKeyAndValue(EOEditingContext self,
                                                     String name,
                                                     String key,
                                                     Object value)

### objectsMatchingValues

    public static NSArray objectsMatchingValues(EOEditingContext self,
                                                String name,
                                                NSDictionary values)

### objectsOfClass

    public static NSArray objectsOfClass(EOEditingContext self,
                                         Class aClass)

### objectsWithFetchSpecificationAndBindings

    public static NSArray objectsWithFetchSpecificationAndBindings(EOEditingContext self,
                                                                   String entityName,
                                                                   String fetchSpecName,
                                                                   NSDictionary bindings)

### objectsWithQualifierFormat

    public static NSArray objectsWithQualifierFormat(EOEditingContext self,
                                                     String name,
                                                     String format,
                                                     NSArray args)

### objectWithFetchSpecificationAndBindings

    public static EOEnterpriseObject objectWithFetchSpecificationAndBindings(EOEditingContext self,
                                                                             String entityName,
                                                                             String fetchSpecName,
                                                                             NSDictionary bindings)

### objectWithPrimaryKey

    public static EOEnterpriseObject objectWithPrimaryKey(EOEditingContext self,
                                                          String entityName,
                                                          NSDictionary pkDict)

### objectWithPrimaryKeyValue

    public static EOEnterpriseObject objectWithPrimaryKeyValue(EOEditingContext self,
                                                               String entityName,
                                                               Object value)

### objectWithQualifierFormat

    public static EOEnterpriseObject objectWithQualifierFormat(EOEditingContext self,
                                                               String name,
                                                               String format,
                                                               NSArray args)

### objectsByDecodingFromFormValues

    public static NSArray objectsByDecodingFromFormValues(EOEditingContext self,
                                                          NSDictionary values)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD